> ## Documentation Index
> Fetch the complete documentation index at: https://docs.parea.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Record Feedback

> Record any (user) feedback & ground truth/correction of output for a log.

<RequestExample>
  ```bash Example Request theme={null}
  curl --location 'https://parea-ai-backend-us-9ac16cdbc7a7b006.onporter.run/api/parea/v1/feedback' \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <<PAREA_API_KEY>>' \
  --data '{
      "trace_id": "sasdc-csd-rnFesaeCpqcXJ_yL3wi",
      "score": 0.5,
      "name": "test",
      "target": "perfect answer"
  }'
  ```
</RequestExample>


## OpenAPI

````yaml post /api/parea/v1/feedback
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /api/parea/v1/feedback:
    post:
      summary: Record Feedback
      description: >-
        Record any (user) feedback & ground truth/correction of output for a
        log.
      operationId: record_feedback_api_parea_v1_feedback_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FeedbackRequestSchema'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - APIKeyHeader: []
        - APIKeyHeader: []
components:
  schemas:
    FeedbackRequestSchema:
      properties:
        trace_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Trace Id
          description: UUID of the trace log
        inference_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Inference Id
          description: UUID of the trace log
        score:
          type: number
          maximum: 1
          minimum: 0
          title: Score
          description: Feedback score
        comment:
          anyOf:
            - type: string
            - type: 'null'
          title: Comment
          description: Feedback comment
        target:
          anyOf:
            - type: string
            - type: 'null'
          title: Target
          description: "Optional target or â€œgold standardâ€\x9D of log."
        organization_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Organization Id
          description: Field will be automatically filled-in.
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          description: Deprecated field
      type: object
      required:
        - score
      title: FeedbackRequestSchema
      examples:
        - name: test
          score: 0.5
          target: perfect answer
          trace_id: sasdc-csd-rnFesaeCpqcXJ_yL3wi
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: x-user-id

````